@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

* {
    font-family: "Poppins", sans-serif;
    margin: 0px;
}

html {
    scroll-behavior: smooth;
    scrollbar-width: 2px;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    box-sizing: border-box;
    position: sticky;
    top:0px;
    background-color: white;
    z-index: 1000;
}

nav h2 {
    background: linear-gradient(90deg, rgb(158, 0, 185), blue, rgb(255, 119, 0));
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      cursor: pointer;
}

.menu {
    display: flex;
    gap:20px;
}

.menu a {
    text-decoration: none;
    color: black;
    transition: 0.3s;
    &:hover {
        color: rgb(0, 10, 116);
        transition: 0.3s;
    }
}

.slogan {
    height: 80vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: url(gptbanner.png);
    background-size: cover;
}

.slogan h1 {
    color:rgb(255, 255, 255);
}
.slogan h1 span {
    color: rgb(255, 255, 255);
    transition: 0.3s;

    &:hover {
        color: rgb(185, 185, 185);
        cursor: pointer;
        text-decoration: underline;
        transition: 0.3s;
    }
}

.container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap:20px;
    box-sizing: border-box;
    padding: 50px;
}

.cards {
    display: flex;
    align-items: center;
    gap:35px;
    box-sizing: border-box;
    flex-wrap: wrap;
    align-items: stretch;
}

.card {
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    padding: 10px;
    min-width: 350px;
    max-width: 350px;
    background-color: rgb(254, 254, 254);
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    min-height: 400px;
    justify-content: space-around;
    gap:10px;

}

.card img {
    border-radius: 10px;
}
.card a {
    padding: 4px;
    text-decoration: none;
    color: black;
    background-color: white;
    border:2px solid black;
    border-radius: 12px;
    text-align: center;
    transition: 0.3s;
    &:hover {
        background-color: rgb(26, 26, 26);
        color: white;
        transition: 0.3s;
        cursor: pointer;
    }
}

footer {
    background-color: black;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    padding: 20px;
    flex-direction: column;
    gap:10px;
}

.container-list {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap:20px;
    box-sizing: border-box;
    padding: 50px;
}

.container-list form {
    box-sizing: border-box;
    padding: 20px;
    width: 50vw;
    background-color: white;
} 

@media (max-width: 600px) {
    nav {
        flex-direction: column;
    }
    .menu {
        display: none;
    }

    .cards {
        justify-content: center;
        align-items: center;
    }
    .slogan {
        height: 30vh;
        padding: 20px;
    }
  }

  .menu-bottom {
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap:10px;
    display: flex;
    background-color: black;
    box-sizing: border-box;
    padding: 20px;
  }

  .menu-bottom a {
    color: white;
    text-decoration: none;
  }
  
  @media (min-width: 600px)
  {
    .menu-bottom {
        display: none;
    }
  }
